Package ghidra.util.search.memory

# Class SearchInfo

java.lang.Object
ghidra.util.search.memory.SearchInfo

public class SearchInfo extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `includeNonLoadedBlocks`
  `protected final boolean`
  `searchSelection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchInfo(ghidra.app.plugin.core.searchmem.SearchData searchData, int searchLimit, boolean searchSelection, boolean forwardSearch, int alignment, boolean includeNonLoadedBlocks, CodeUnitSearchInfo codeUnitSearchInfo, TaskListener listener)`
  `SearchInfo(ghidra.app.plugin.core.searchmem.SearchData searchData, int matchLimit, boolean searchSelection, boolean forwardSearch, int alignment, boolean includeNonLoadedBlocks, TaskListener listener)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MemorySearchAlgorithm`
  `createSearchAlgorithm(Program p, Address start, ProgramSelection selection)`
  `int`
  `getAlignment()`
  `CodeUnitSearchInfo`
  `getCodeUnitSearchInfo()`
  `TaskListener`
  `getListener()`
  `protected AddressSetView`
  `getSearchableAddressSet(Program program, Address startAddress, ProgramSelection selection)`
  Generate an address set which only includes initialized memory
  `ghidra.app.plugin.core.searchmem.SearchData`
  `getSearchData()`
  `int`
  `getSearchLimit()`
  `boolean`
  `isSearchAll()`
  `boolean`
  `isSearchForward()`
  `void`
  `setSearchLimit(int searchLimit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### searchSelection

    protected final boolean searchSelection

  - ### includeNonLoadedBlocks

    protected final boolean includeNonLoadedBlocks

- ## Constructor Details

  - ### SearchInfo

    public SearchInfo(ghidra.app.plugin.core.searchmem.SearchData searchData, int matchLimit, boolean searchSelection, boolean forwardSearch, int alignment, boolean includeNonLoadedBlocks, TaskListener listener)

  - ### SearchInfo

    public SearchInfo(ghidra.app.plugin.core.searchmem.SearchData searchData, int searchLimit, boolean searchSelection, boolean forwardSearch, int alignment, boolean includeNonLoadedBlocks, CodeUnitSearchInfo codeUnitSearchInfo, TaskListener listener)

- ## Method Details

  - ### getSearchableAddressSet

    protected AddressSetView getSearchableAddressSet(Program program, Address startAddress, ProgramSelection selection)
    Generate an address set which only includes initialized memory
    Parameters:
      `program` - the program
      `startAddress` - starting point for search or null to start from the top of memory
      `selection` - addresses to be searched or null to search all memory
    Returns:
      searchable address set

  - ### createSearchAlgorithm

    public MemorySearchAlgorithm createSearchAlgorithm(Program p, Address start, ProgramSelection selection)

  - ### isSearchForward

    public boolean isSearchForward()

  - ### isSearchAll

    public boolean isSearchAll()

  - ### getAlignment

    public int getAlignment()

  - ### getListener

    public TaskListener getListener()

  - ### getSearchData

    public ghidra.app.plugin.core.searchmem.SearchData getSearchData()

  - ### getCodeUnitSearchInfo

    public CodeUnitSearchInfo getCodeUnitSearchInfo()

  - ### getSearchLimit

    public int getSearchLimit()

  - ### setSearchLimit

    public void setSearchLimit(int searchLimit)